
Redmine - Defect #5425

Showing date in activity page is wrong

2010-05-02 21:21 - minkbear minkbear

Status: Closed Start date: 2010-05-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I opened Activity page on Sun May  2 19:24:33 ICT 2010 (date&time on server).

it shows below or see on screenshot:

Active

From 04/02/2010 to 05/01/2010

Today

......

04/30/2010

......

===================================================

So Today is not 05/01/2010. Is it a bug.

For more information, please let me know.

Related issues:

Related to Redmine - Defect #8889: Activity page not refreshed correctly on u... New 2011-07-23

Related to Redmine - Defect #1048: Day grouping on Activity view ignores user... Closed 2008-04-12

Is duplicate of Redmine - Defect #24707: Activity in User Profile shows incor... Closed

History

#1 - 2010-05-03 06:27 - minkbear minkbear

forgot to fill Affected version: 0.9.3

#2 - 2010-05-03 10:43 - Felix Schäfer

The time rendered in the html views is not the time on the server but the time according to the timezone rails detects from your browser or the

timezone you set in your user preferences. As to why there is such a discrepancy, I can't tell you exactly. Could you give us access to your redmine

(the html part) so that we can have a look?

#3 - 2010-05-24 15:00 - Avery Chan

- File Google_ChromeScreenSnapz003.jpg added

- File Google_ChromeScreenSnapz005.jpg added

I'm seeing this problem too. I could give you access to the redmine part if I understood better what you need in order to get access to that part. I'm

uploading two files to better illustrate the problem. You can see that the screenshot from the activity page shows the date and time as being

5/23/2010. The screenshot from the issue page shows the time as being 5/24/2010 2:40 pm. This was via a mouse-over of the "about 6 hours" link.

You can see that this is the same issue; the copied text shows this.

I'm not sure if this is exactly the problem being described here, but it is certainly a defect in the Activity page. This is running Redmine

0.9.4.stable.3733 (MySQL).

#4 - 2010-05-27 02:04 - minkbear minkbear

I tried to print value from 2 variables(date, Date.today) in app/views/projects/activity.rhtml

Result:

date = 2010-05-26

Date.today = 2010-05-26
More information:

Server date: Thu May 27 07:02:24 ICT 2010

My Time zone Preferences: GMT+7

1. Why is the value in Date.today = 2010-05-26? It should be 2010-05-27.

2. It always be wrong date in activity page around 0700 AM.

#5 - 2010-08-04 04:59 - Andrew Brock

I've noticed this too but it only happens on the global activity page, not on the group activity pages. "Today" is always set to be the day of the last

Redmine activity item.

#6 - 2010-11-17 17:20 - Anton Gavrilov

- Status changed from New to Resolved

Got this problem too. Every morning I get yesterday version of Activity page until any issue is updated. Moreover, when I switched my account's

language, every page (or at least Issues, New issue and Gantt) got new language with the only exception - Activity.

It appears the troublemaker is line 26 in app\controllers\activities_controller.rb (Redmine ver. 1.0.3):

if events.empty? || stale?(:etag => [events.first, User.current])

My Ruby experience is negligible, but as far as I get it, it blocks rendering new page and instead feeds old version from cache if there is no new

events since last rendering. So you'll keep getting the same version of the page with obsolete dates until someone edit any issue. I commented line

26 and 42 (trailing end) and it seems it works.

#7 - 2010-11-24 15:48 - Felix Schäfer

- Status changed from Resolved to New

Resolved is limited to commited-to-trunk-but-not-to-stable-yet issues, thank you.

#8 - 2010-11-24 19:09 - Anton Gavrilov

How do I commit to trunk? Or commitment is reserved for developers and I should attach patch instead?

#9 - 2010-11-24 20:30 - Felix Schäfer

Anton Gavrilov wrote:

Or commitment is reserved for developers and I should attach patch instead?

 Yes.

#10 - 2013-01-15 12:00 - Daniel Felix

- Status changed from New to Needs feedback

Any news on this? I'm not able to reproduce this in the Redmine 2.2.1.

#11 - 2013-02-07 07:21 - Phil Miller

I'm still seeing something of this sort in 2.2.2 - the Activity pages don't update to reflect settings changes, in my case timezone, unless something else

forces the page to be regenerated. I experienced this while looking at #1048.

#12 - 2013-02-07 11:22 - Daniel Felix

Phil Miller wrote:

I'm still seeing something of this sort in 2.2.2 - the Activity pages don't update to reflect settings changes, in my case timezone, unless something

else forces the page to be regenerated. I experienced this while looking at #1048.

 Yes, this seem to relate to #1048. The timezones won't be respected in every redmine module. This is also a big goal for future redmine versions.

#13 - 2016-12-13 07:05 - Ewan Makepeace

+1

#14 - 2017-01-10 13:30 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

I think this is fixed by #14658.

See #24707 description.

#15 - 2017-01-10 13:30 - Toshi MARUYAMA

- Is duplicate of Defect #24707: Activity in User Profile shows incorrect date/time, dependent to Time zone  added

Files

Activity_Bug.png 33.1 KB 2010-05-02 minkbear minkbear

Google_ChromeScreenSnapz003.jpg 14.3 KB 2010-05-24 Avery Chan
